## org.eclipse.jst.jsf.common.internal.finder.matcher
Class TaglibFinder<INPUT,OUTPUT>

    java.lang.Object
      org.eclipse.jst.jsf.common.internal.strategy.AbstractIdentifiableStrategy<INPUT,OUTPUT,java.lang.String>
          org.eclipse.jst.jsf.common.internal.finder.matcher.TaglibFinder<INPUT,OUTPUT>

Type Parameters:
  `INPUT` -
  `OUTPUT` -

All Implemented Interfaces:
  org.eclipse.jst.jsf.common.internal.policy.IIdentifiable<java.lang.String>, org.eclipse.jst.jsf.common.internal.strategy.IIdentifiableStrategy<INPUT,OUTPUT,java.lang.String>, org.eclipse.jst.jsf.common.internal.strategy.ISimpleStrategy<INPUT,OUTPUT>

Direct Known Subclasses:
  TaglibJarEntryFinder

    public abstract class TaglibFinder<INPUT,OUTPUT>

extends org.eclipse.jst.jsf.common.internal.strategy.AbstractIdentifiableStrategy<INPUT,OUTPUT,java.lang.String>

A finder strategy for Facelet tag libraries.

Constructor Summary
`TaglibFinder(java.lang.String id, java.lang.String displayName, OUTPUT noResultValue)`

Method Summary
`abstract OUTPUT` `perform(INPUT input)` Perform the algorithm on input and return OUTPUT.

Methods inherited from class org.eclipse.jst.jsf.common.internal.strategy.AbstractIdentifiableStrategy
`getDisplayName, getId, getNoResult`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaglibFinder

    public TaglibFinder(java.lang.String id,
                        java.lang.String displayName,
                        OUTPUT noResultValue)

Parameters:
  `id` -
  `displayName` -
  `noResultValue` -

Method Detail

### perform

    public abstract OUTPUT perform(INPUT input)
                            throws java.lang.Exception

  Description copied from interface: `org.eclipse.jst.jsf.common.internal.strategy.ISimpleStrategy`
  Perform the algorithm on input and return OUTPUT. This type of operation should avoid side-effects, but may throw exceptions.

  Specified by:
    `perform` in interface `org.eclipse.jst.jsf.common.internal.strategy.ISimpleStrategy<INPUT,OUTPUT>`
  Specified by:
    `perform` in class `org.eclipse.jst.jsf.common.internal.strategy.AbstractIdentifiableStrategy<INPUT,OUTPUT,java.lang.String>`
  Returns:
    the result of the strategy algorithm
  Throws:
    `java.lang.Exception` - implementers should narrow what exceptions are thrown.